v1.0.0
OpenAPI 3.1.0
List one-time sends
Client Libraries
US region
Returns a list of your one-time sends (referred to as "newsletters" in our APIs) and associated metadata.
The maximum number of results you want to retrieve per page.
Determine how you want to sort results, asc for chronological order and desc for reverse chronological order.
The token for the page of results you want to return. Responses contain a next property. Use this property as the start value to return the next page of results.
curl https://api.customer.io/v1/newsletters \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"newsletters": [
{
"content_ids": [
45
],
"created": 1481653919,
"deduplicate_id": "128275:1484870424",
"id": 128275,
"name": "Weekly Product Update",
"recipient_segment_ids": [
42,
99
],
"sent_at": 1481653929,
"subscription_topic_id": 5,
"tags": [
"Product Updates"
],
"type": "email",
"updated": 1481653929
}
],
"next": "string"
}Returns an array of one-time send objects.